Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
emerge error??????
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Finnish
View previous topic :: View next topic  
Author Message
luukkpe
n00b
n00b


Joined: 30 Mar 2005
Posts: 15

PostPosted: Fri Dec 08, 2006 9:24 am    Post subject: emerge error?????? Reply with quote

Olen yrittänyt asentaa gentoota niin 32bit kuin myös 64 bit versiota , ja joka kerta törmään erroreihin.
Tässä on lorun loppu kun yritin asentaa gimppiä, Kde ihme kyllä toimii jotenkii. Nyt on asennettuna x86 versio genkernelillä käänetyllä ytimellä.

!! ERROR: dev-python/pyopengl-2.0.0.44 failed.
Call stack:
ebuild.sh, line 1546: Called dyn_unpack
ebuild.sh, line 708: Called src_unpack
pyopengl-2.0.0.44.ebuild, line 34: Called built_with_use 'dev-lang/python' 'tk'
eutils.eclass, line 1617: Called die

!!! dev-lang/python-2.4.3-r1 does not actually support the tk USE flag!
!!! If you need support, post the topmost build error, and the call stack if relevant.


Missä teen väärin? Mulla on toi enklanti hiukka heikkoo, etten päättelemällä saa muuta ko järjestelmän kokonaan sekasin. :oops:

Laitteisto on muiden linuxien kanssa toiminut moitteettomasti, tai ainakii melkein kaikkien.
emolevy asus A8N5X
prossu amd64 +3500
näytönohjain feforce 7900gt
muisti 2x1024 ddram
Back to top
View user's profile Send private message
Icer
Guru
Guru


Joined: 26 Aug 2003
Posts: 395
Location: @home

PostPosted: Fri Dec 08, 2006 10:47 am    Post subject: Re: emerge error?????? Reply with quote

luukkpe wrote:
Olen yrittänyt asentaa gentoota niin 32bit kuin myös 64 bit versiota , ja joka kerta törmään erroreihin.
Tässä on lorun loppu kun yritin asentaa gimppiä, Kde ihme kyllä toimii jotenkii. Nyt on asennettuna x86 versio genkernelillä käänetyllä ytimellä.

!! ERROR: dev-python/pyopengl-2.0.0.44 failed.
Call stack:
ebuild.sh, line 1546: Called dyn_unpack
ebuild.sh, line 708: Called src_unpack
pyopengl-2.0.0.44.ebuild, line 34: Called built_with_use 'dev-lang/python' 'tk'
eutils.eclass, line 1617: Called die

!!! dev-lang/python-2.4.3-r1 does not actually support the tk USE flag!
!!! If you need support, post the topmost build error, and the call stack if relevant.


Missä teen väärin? Mulla on toi enklanti hiukka heikkoo, etten päättelemällä saa muuta ko järjestelmän kokonaan sekasin. :oops:

Laitteisto on muiden linuxien kanssa toiminut moitteettomasti, tai ainakii melkein kaikkien.
emolevy asus A8N5X
prossu amd64 +3500
näytönohjain feforce 7900gt
muisti 2x1024 ddram

Tre,

Onko sulla tk use flag päällä? siitä se näyttäs suuttuvan. Kokeile poistaa se /etc/make.conf:ista. Toisaalta jos nimenomaan tarvit tk:ta niin sitten täytyy miettiä jotain muuta ratkaisua. Esim poista tk flagi vain tuolta paketilta joka herjaa. Tapahtuu näin:
Code:
# echo dev-python/pyopengl -tk >> /etc/portage/package.use

Jos sinulla ei ole /etc alla portage hakemistoa niin tee sellainen.
_________________
Everything can be done. There's just a longer delivery time for impossible projects.
Back to top
View user's profile Send private message
Shopro
l33t
l33t


Joined: 12 May 2004
Posts: 678
Location: Dayton, OH, USA

PostPosted: Fri Dec 08, 2006 1:10 pm    Post subject: Reply with quote

Voisi auttaa jos laittaisit enemmän rivejä, koska tuossa ei sitä oikeaa virhettä näy.
_________________
Just because I have nothing to say is no reason why you shouldn't listen.
Back to top
View user's profile Send private message
luukkpe
n00b
n00b


Joined: 30 Mar 2005
Posts: 15

PostPosted: Fri Dec 08, 2006 3:03 pm    Post subject: Reply with quote

Password:
luru ~ # LINGUAS="fi" emerge gimp
Calculating dependencies... done!

>>> Emerging (1 of 6) dev-python/pyopengl-2.0.0.44 to /
* PyOpenGL-2.0.0.44.tar.gz MD5 ;-) ... [ ok ]
* PyOpenGL-2.0.0.44.tar.gz RMD160 ;-) ... [ ok ]
* PyOpenGL-2.0.0.44.tar.gz SHA1 ;-) ... [ ok ]
* PyOpenGL-2.0.0.44.tar.gz SHA256 ;-) ... [ ok ]
* PyOpenGL-2.0.0.44.tar.gz size ;-) ... [ ok ]
* checking ebuild checksums ;-) ... [ ok ]
* checking auxfile checksums ;-) ... [ ok ]
* checking miscfile checksums ;-) ... [ ok ]
* checking PyOpenGL-2.0.0.44.tar.gz ;-) ... [ ok ]
>>> Unpacking source...
>>> Unpacking PyOpenGL-2.0.0.44.tar.gz to /var/tmp/portage/pyopengl-2.0.0.44/wor k
* Applying config.diff ... [ ok ]
* Applying pyopengl-2.0.0.44-fix_togl.patch ... [ ok ]

!!! ERROR: dev-python/pyopengl-2.0.0.44 failed.
Call stack:
ebuild.sh, line 1546: Called dyn_unpack
ebuild.sh, line 708: Called src_unpack
pyopengl-2.0.0.44.ebuild, line 34: Called built_with_use 'dev-lang/python' ' tk'
eutils.eclass, line 1617: Called die

!!! dev-lang/python-2.4.3-r1 does not actually support the tk USE flag!
!!! If you need support, post the topmost build error, and the call stack if relevant.

Tässä olis loppuosa emerge --sync ajon jälkeen.

* GNU info directory index is up-to-date.
* IMPORTANT: 2 config files in /etc need updating.
* Type emerge --help config to learn how to update config files.

luru ~ # emerge --help config
*** Deprecated use of action 'config', use '--config' instead
Config file management support (preliminary)

Portage has a special feature called "config file protection". The purpose of
this feature is to prevent new package installs from clobbering existing
configuration files. By default, config file protection is turned on for /etc
and the KDE configuration dirs; more may be added in the future.

When Portage installs a file into a protected directory tree like /etc, any
existing files will not be overwritten. If a file of the same name already
exists, Portage will change the name of the to-be-installed file from 'foo' to
'._cfg0000_foo'. If '._cfg0000_foo' already exists, this name becomes
'._cfg0001_foo', etc. In this way, existing files are not overwritten,
allowing the administrator to manually merge the new config files and avoid any
unexpected changes.

In addition to protecting overwritten files, Portage will not delete any files
from a protected directory when a package is unmerged. While this may be a
little bit untidy, it does prevent potentially valuable config files from being
deleted, which is of paramount importance.

Protected directories are set using the CONFIG_PROTECT variable, normally
defined in /etc/make.globals. Directory exceptions to the CONFIG_PROTECTed
directories can be specified using the CONFIG_PROTECT_MASK variable. To find
files that need to be updated in /etc, type:

# find /etc -iname '._cfg????_*'

You can disable this feature by setting CONFIG_PROTECT="-*" in /etc/make.conf.
Then, Portage will mercilessly auto-update your config files. Alternatively,
you can leave Config File Protection on but tell Portage that it can overwrite
files in certain specific /etc subdirectories. For example, if you wanted
Portage to automatically update your rc scripts and your wget configuration,
but didn't want any other changes made without your explicit approval, you'd
add this to /etc/make.conf:

CONFIG_PROTECT_MASK="/etc/wget /etc/rc.d"

Tools such as dispatch-conf, cfg-update, and etc-update are also available to
aid in the merging of these files. They provide interactive merging and can
auto-merge trivial changes.


luru ~ # find /etc -iname '._cfg????_*'
/etc/._cfg0000_etc-update.conf
/etc/._cfg0000_make.conf.example
luru ~ #

emerge portagen ja emerge --sync jälkeen antaa tollasen, eli näyttäs siltä et noi päivittämättömät ovat syynä as. ongelmiin, vai olenko metässä.
Back to top
View user's profile Send private message
raaman
n00b
n00b


Joined: 16 Jul 2006
Posts: 7
Location: Finland

PostPosted: Fri Dec 08, 2006 5:31 pm    Post subject: Reply with quote

luukkpe wrote:
Password:
luru ~ # LINGUAS="fi" emerge gimp
Calculating dependencies... done!

>>> Emerging (1 of 6) dev-python/pyopengl-2.0.0.44 to /
* PyOpenGL-2.0.0.44.tar.gz MD5 ;-) ... [ ok ]
* PyOpenGL-2.0.0.44.tar.gz RMD160 ;-) ... [ ok ]
* PyOpenGL-2.0.0.44.tar.gz SHA1 ;-) ... [ ok ]
* PyOpenGL-2.0.0.44.tar.gz SHA256 ;-) ... [ ok ]
* PyOpenGL-2.0.0.44.tar.gz size ;-) ... [ ok ]
* checking ebuild checksums ;-) ... [ ok ]
* checking auxfile checksums ;-) ... [ ok ]
* checking miscfile checksums ;-) ... [ ok ]
* checking PyOpenGL-2.0.0.44.tar.gz ;-) ... [ ok ]
>>> Unpacking source...
>>> Unpacking PyOpenGL-2.0.0.44.tar.gz to /var/tmp/portage/pyopengl-2.0.0.44/wor k
* Applying config.diff ... [ ok ]
* Applying pyopengl-2.0.0.44-fix_togl.patch ... [ ok ]

!!! ERROR: dev-python/pyopengl-2.0.0.44 failed.
Call stack:
ebuild.sh, line 1546: Called dyn_unpack
ebuild.sh, line 708: Called src_unpack
pyopengl-2.0.0.44.ebuild, line 34: Called built_with_use 'dev-lang/python' ' tk'
eutils.eclass, line 1617: Called die

!!! dev-lang/python-2.4.3-r1 does not actually support the tk USE flag!
!!! If you need support, post the topmost build error, and the call stack if relevant.

Tässä olis loppuosa emerge --sync ajon jälkeen.

* GNU info directory index is up-to-date.
* IMPORTANT: 2 config files in /etc need updating.
* Type emerge --help config to learn how to update config files.

luru ~ # emerge --help config
*** Deprecated use of action 'config', use '--config' instead
Config file management support (preliminary)

Portage has a special feature called "config file protection". The purpose of
this feature is to prevent new package installs from clobbering existing
configuration files. By default, config file protection is turned on for /etc
and the KDE configuration dirs; more may be added in the future.

When Portage installs a file into a protected directory tree like /etc, any
existing files will not be overwritten. If a file of the same name already
exists, Portage will change the name of the to-be-installed file from 'foo' to
'._cfg0000_foo'. If '._cfg0000_foo' already exists, this name becomes
'._cfg0001_foo', etc. In this way, existing files are not overwritten,
allowing the administrator to manually merge the new config files and avoid any
unexpected changes.

In addition to protecting overwritten files, Portage will not delete any files
from a protected directory when a package is unmerged. While this may be a
little bit untidy, it does prevent potentially valuable config files from being
deleted, which is of paramount importance.

Protected directories are set using the CONFIG_PROTECT variable, normally
defined in /etc/make.globals. Directory exceptions to the CONFIG_PROTECTed
directories can be specified using the CONFIG_PROTECT_MASK variable. To find
files that need to be updated in /etc, type:

# find /etc -iname '._cfg????_*'

You can disable this feature by setting CONFIG_PROTECT="-*" in /etc/make.conf.
Then, Portage will mercilessly auto-update your config files. Alternatively,
you can leave Config File Protection on but tell Portage that it can overwrite
files in certain specific /etc subdirectories. For example, if you wanted
Portage to automatically update your rc scripts and your wget configuration,
but didn't want any other changes made without your explicit approval, you'd
add this to /etc/make.conf:

CONFIG_PROTECT_MASK="/etc/wget /etc/rc.d"

Tools such as dispatch-conf, cfg-update, and etc-update are also available to
aid in the merging of these files. They provide interactive merging and can
auto-merge trivial changes.


luru ~ # find /etc -iname '._cfg????_*'
/etc/._cfg0000_etc-update.conf
/etc/._cfg0000_make.conf.example
luru ~ #

emerge portagen ja emerge --sync jälkeen antaa tollasen, eli näyttäs siltä et noi päivittämättömät ovat syynä as. ongelmiin, vai olenko metässä.


Kuten joku aikaisemmin sanoi, tk-lippu aiheuttanee ongelman ja se kannattaa ottaa pois käytöstä (en tiedä mitä lippu tekee mutta oletan että ei mitään tärkeää :) ). Eli /etc/make.conf -tiedostosta löytyy kohta USE="...." , ja sinne lisäät '-tk' ilman hipsuja. Sitten kannattaa kääntää uudelleen ainakin dev-lang/python-2.4.3-r1 -paketti, josta sait virheilmoituksen. Tämähän onnistuu esim. komennolla emerge -uDNa world.

Config-tiedostojen päivittämiseen pääset komennolla etc-update.

Ja sitten, en tiedä haluatko vain gimpin suomenkielisenä, mutta jos haluat kaikista ohjelmista suomenkieliset versiot voit lisätä LINGUAS="fi" -rivin /etc/make.conf -tiedostoon, jolloin sitä ei tarvi joka kerta kirjoittaa erikseen.
Back to top
View user's profile Send private message
Obi-Lan
Apprentice
Apprentice


Joined: 21 Jan 2005
Posts: 230
Location: Riihimäki

PostPosted: Sat Dec 09, 2006 11:33 pm    Post subject: Reply with quote

Taitaa suurin osa kääntövirheistä yleensäkkin liittyä USE flaggeihin tavalla tai toisella. Näin siis vakailla paketeilla.
Back to top
View user's profile Send private message
Flammie
Developer
Developer


Joined: 02 Jun 2003
Posts: 633
Location: United States of Europe, Finland, Helsinki

PostPosted: Mon Dec 11, 2006 1:56 pm    Post subject: Re: emerge error?????? Reply with quote

luukkpe wrote:
!! ERROR: dev-python/pyopengl-2.0.0.44 failed.
Call stack:
ebuild.sh, line 1546: Called dyn_unpack
ebuild.sh, line 708: Called src_unpack
pyopengl-2.0.0.44.ebuild, line 34: Called built_with_use 'dev-lang/python' 'tk'
eutils.eclass, line 1617: Called die

!!! dev-lang/python-2.4.3-r1 does not actually support the tk USE flag!


Asenna >=dev-lang/python-2.4.3-r3 USE=tk päällä.
Back to top
View user's profile Send private message
luukkpe
n00b
n00b


Joined: 30 Mar 2005
Posts: 15

PostPosted: Wed Dec 20, 2006 11:28 am    Post subject: Tuskaa Reply with quote

:oops: No nyt alko kenkkuilee tällänen "x11-libs/gtk+-2.10.6"
Tämä on uusi asennus amd64, enkä saa mitään työpöytää aikaseksi (on noi konslit) en saanu edes mozilla-firefoxia asennettua ko heitti errorin. Onneksi Opera asentu et pääsee nettiin.

Mulle ei taida muunlaiset ohjeet kuin "rautalangasta" väännetyt mennä perille.
Back to top
View user's profile Send private message
pussi
l33t
l33t


Joined: 08 May 2004
Posts: 727
Location: Finland

PostPosted: Wed Dec 20, 2006 1:50 pm    Post subject: Reply with quote

No se virheilmoitus kannattaa kertoa ainakin, että olisi vähän helpompi keksiä miksi jokin ei asennu.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Finnish All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum